/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* Images in posts (featured) */



.wp-block-image .size-full .featured_post_image{

    margin-bottom: 20px !important;
}

/* Fonts */

@font-face {
    font-family: Phenomena;
    src: url(https://finnfoto.no/wp-content/themes/generatepress_child/fonts/Phenomena-Regular.otf);
    font-weight: normal;
}

@font-face {
    font-family: Phenomena Bold;
    src: url(https://finnfoto.no/wp-content/themes/generatepress_child/fonts/Phenomena-Bold.otf);
    font-weight: normal;
}

/* Post meta */

.entry-meta .avatar {
     width: 35px;
     border-radius: 50%;
     vertical-align: middle;
     margin: 0 5px;
 }

/* Single post */

.featured-image {display: none !important;}

body.single-post .inside-article {
    max-width: 900px !important;
    margin: 0 auto !important;
}

.site-main .wp-block-group__inner-container {

    padding: 0px !important;
}

/* AFP */

.reseller-logo {

    width: 150px !important;
}

.afp-column-total.afp-table_total {

    text-align: center !important;
    font-size: 24px !important;
}



.afp-table.dpt-layout-new-simple th.afp-column-reseller.afp-table_reseller {text-align: center;}

.best-price {font-size:20px}

.afp-table.dpt-layout-new-simple {font-size:18px;border: none !important;margin-top: 20px}

 .afp-table.dpt-layout-new-simple th {font-weight:bold;border: none !important}

 .afp-table.dpt-layout-new-simple th.afp-table_readmore {display: none}

.afp-table.dpt-layout-new-simple td.afp-table_readmore a {
    display: block;
    padding: 10px;
    margin: 20px;
    background: #1982d1;
    border-radius: 24px;
    color: #fff;
    font-weight: 700;
    font-size: 16px;
text-align:center}

.afp-table.dpt-layout-new-simple td{
    padding: 6px 0 6px 10px;
    border: none !important
}
 

.afp-table.dpt-layout-new-simple td.first{
    text-align: center;
    font-size: 24px;
    border: none !important
}


/* Title */
.entry-title {

    font-size: 54px !important;
}
.ast-single-post .entry-title, .page-title {

    margin-top: 15px !important;
    margin-bottom: 15px !important

}

/* Blockquote */

blockquote {

    margin: 0px !importat;
    padding: 0px;
    padding-bottom: -10px !important;
}

blockquote p {color: black !important;
margin: 0 0 25px 0 !important;
    font-size: 20px;
    line-height: 1.8em !important;
    font-weight: 400;
    padding: 0;
    font-family: Roboto;
    font-style: italic;
border: none !important}

blockquote:before {
    color: #ee452c;
    font-family: Roboto;
    font-size: 70px;
    content: "\201c" !important;
    float: left;
    margin: 0 15px 0 0;
    border: none !important
}

a:link {

    text-decoration: none !important;
}

.wp-block-group.gutenberg-green-box {

    padding: 25px 50px !important;
    background-color: #efef;
}

.product-link{    

    font-family: "Roboto", Sans-serif;
    font-size: 20px;
    color:white !important;
    font-weight:normal;
    margin-top:15px;
    background-color: #1982d1;
    border-radius: 30px 30px 30px 30px;padding:10px 30px !important;}

/* Gutenberg product box */

.gutenberg-quote-group .wp-block-group__inner-container {

    padding: 0px !important;

    font-weight: bold;

}

.product-box-gutenberg {

    padding: 0em !important;
    width: auto !important;
    margin-bottom: 2em;
    /* margin-top: 2em; */

}

.product-box-gutenberg ul {

    margin: 0px !important;
}

 ul.product-features-gutenberg  {

    font-size: 22px !important;
    list-style: none;
    line-height: 1;
    margin-left: 0px;

}

 ul.product-features-gutenberg li:before   {
    
    /* content: "\2714";
    color: #F3921B !important;
    font-size: 32px;
    padding-right: 10px;*/

    content: "✓";
    color: #7C8AAE !important;
    /* color: #43C801 !important; */
    font-size: 32px;
    font-weight: bolder;
    padding-right: 10px;


}

 li.product-features-gutenberg  {

    font-size: 22px !important;
    list-style: none;
    line-height: 1;

}

 li.product-features-gutenberg:before   {
    
    content: "\2714";
    color: #F3921B !important;
    font-size: 32px;
    padding-right: 10px;

}


 
/*.product-features-gutenberg:before {

    content: "\2714 ";
    color: #F3921B;
    font-size: 32px;
    padding-right: 10px;

} */

h2 {font-size: 42px !important;}

h2.product-headline-gutenberg {

    font-size: 34px !important;
    margin-bottom: 0px !important;
    width: auto !important;

}

h3.product-headline-gutenberg {

    font-size: 34px !important;
    margin-bottom: 0px !important;
    width: auto !important;

}

.wp-block-group {

    width: auto !important;
    padding: 0em !important;
}

.product-button-gutenberg .wp-block-button__link  {

    border-radius: 25px !important;
    padding: 15px 15px !important;
    background-color: #1F70B9;
    color: white;
    border: none;
}

.product-button-gutenberg .wp-block-button__link:before {

content: "\279c";
    color: white;
    font-size: 24px;
    padding-right: 10px;

}

/* Blockquote */

.wp-block-quote {

    border-left: none !important;
    line-height: 1.8em;
    font-size: 20px;

}

h4 {

    font-size: 24px;
}

h2.product-category-headline {

    font-size: 42px !important;
    margin-top: 20px;

}

h3.product-category-headline {

    font-size: 42px !important;
    margin-top: 20px;
}

h3.gutenberg-top-3-product-title {

    font-size: 32px !important;
    font-weight: bold !important;
    margin-bottom: 0px !important;
    /*text-decoration: underline #FA9101 3px;*/
    text-underline-offset: 5px;
    
}

h4.gutenberg-top-3-product-subheader{

    font-size: 22px !important;
    margin-bottom: 0px !important;
}
.gutenberg-top-3-product-features li:before {

    content: "\2714 ";
    color: #F3921B !important;
    font-size: 32px;
    padding-right: 10px;

}

.widget-title {

    font-size: 20px !important;
}

.gutenberg-top-3-product-features li{
    
    font-size: 22px !important;
    list-style: none;
    line-height: 1;

}

.gutenberg-top-3-column {

    /* box-shadow: -5px 0px 11px 0px rgb(0 0 0 / 50%) !important;
    margin: 0px 10px 0px 0px !important;
    --e-column-margin-right: 10px !important;
    --e-column-margin-left: 0px !important;*/
    padding: 20px 20px 20px 20px !important;
    padding: 20px 20px 20px 20px !important;
    /*border-radius: 5px !important;*/
}

    }

/* #top-3-product-column-container {

    max-width: 1200px !important;
    margin-left: -20% !important;
    margin-right: 0px !important;
    width: 1200px !important;
}

 .site-main .entry-content .top-3-product-column-container {

    margin-left: -20% !important;
    width: 1200px !important;

    } */



p.gutenberg-top-3-product-description {

    text-align: center !important;
}

.gutenberg-top-3-product-price {

    text-align: center !important;
    font-size: 22px !important;
    font-weight: bold !important;
}


.gutenberg-top-3-read-more-link {

    margin-top: 15px !important;

}

.gutenberg-top-3-product-image  {

    text-align: center !important;
}

.gutenberg-top-3-product-image img{

    height: 300px !important;
    width: auto !important;
    text-align: center !important;
}

.top3-button-gutenberg .wp-block-button__link {

    border-radius: 25px !important;
    padding: 15px 25px !important;
    background-color: #1F70B9 !important;
    color: white;
    border: none;

}

.top3-button-gutenberg .wp-block-button__link:before {

content: "\279c";
    color: white;
    font-size: 24px;
    padding-right: 10px;

}

 p.gutenberg-quote-name{

    line-height: 1.5;
    display: block;
    text-align: left;
    margin: 0 !important;

    margin-block-start: 0 !important;
}

p.gutenberg-quote-name > a {

    color: #4B4F58 !important;
}

p.gutenberg-quote-subheader > a {

    color: #4B4F58 !important;
}

 p.gutenberg-quote-subheader {

    font-size: .85em;
    display: block;
    text-align: left;
    margin: 0 !important;
    margin-block-start: 0 !important;
}

p.gutenberg-quote-text {

    font-size: 20px;
    font-weight: bold;
    margin-bottom: 1em;
}

.gutenberg-quote-group {

    border: 3px solid #F3921B;
    padding: 10px 30px !important;
    margin-bottom: 10px !important;

}

.gutenberg-quote-image {

    text-align: right;
    margin-right: 10px;
}

.gutenberg-quote-image img{

    
    width: 60px;
    height: 60px;
    border-radius: 50% !important;
    -o-object-fit: cover;
    object-fit: cover;
    max-width: none;
}

.gutenberg-pros-cons-box {

padding: 20px !important;

}

/* Pro and Cons box */

.gutenberg-pros-cons-headline {

    font-size: 29px !important;

}

.gutenberg-pros-cons-list-container {

    text-align: center;
}

.gutenberg-pros-cons-box-pros li {

    font-size: 20px !important;
    list-style: none;
    line-height: 1;

}

.gutenberg-pros-cons-box-cons li {

    font-size: 20px !important;
    list-style: none;
    line-height: 1;
    
}

.gutenberg-pros-cons-box-pros li:before {

    
    content: "✓";
    color: #43C801 !important;
    font-size: 26px;
    font-weight: bold;
    padding-right: 10px;

}

.gutenberg-pros-cons-box-cons li:before {

    content: "\2718 ";
    color: #F82600 !important;
    font-size: 28px;
    padding-right: 10px;

    
}

.feature-grey-box{

    padding: 25px 50px !important;
    background-color: lightgrey;
}

/* Gutenberg rating box */

.gutenberg-rating-box {

    border: 3px solid #F3921B;
    padding: 15px !important;
    margin-bottom: 20px !important;

}

.gutenberg-rating-box-headline {

    font-size: 29px !important;
    
}

p.gutenberg-rating-box-paragraph  {

    margin-bottom: 0 !important;
}

.gutenberg-rating-box-rating {

    align-items: center;
    background: white;
    color: #F3921B;
    display: flex;
    font-size: 60px !important;
    justify-content: center;
    letter-spacing: 0.25em !important;



}

/* Numbered list */

.gutenberg-numbered-list-big li::marker {

    font-size: 36px !important;
    font-weight: bold;
    color: white;

}


.gutenberg-numbered-list-big li p{

    font-size: 18px;

}

.gutenberg-numbered-list-big ol {

  list-style: none;
  counter-reset: my-awesome-counter;

}
.gutenberg-numbered-list-big ol li {

    counter-increment: my-awesome-counter;

}

.gutenberg-numbered-list-big ol li::before {

      content: counter(my-awesome-counter);
      padding: 10px 20px;
      margin-right: 15px;
      border-radius: 30px;
      background-color: #F3921B;
      font-size: 30px !important;
      font-weight: bold;
      color: white;


}

.gutenberg-numbered-list-heading {

    display: inline !important;
    font-size: 30px !important;
}

/* Gutenberg TOC */

.custom-toc {
    position: relative;
    border: 1px solid grey;
  }

  .custom-toc input[type="checkbox"] {
    display: none;
  }

  .custom-toc .toc-label {
    display: block;
    cursor: pointer;
    background: #f5f5f5;
    padding: 10px;
    border: 1px solid #ddd;
    font-weight: bold;
  }

  .custom-toc .toggle-sign {
    margin-right: 10px;
  }

  .custom-toc .toc-list {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s;
    padding: 0;
    margin: 0;
    list-style-type: none;
  }

  .custom-toc .toc-list li {
    padding: 5px 10px;
    border-top: 1px solid #ddd;
  }

  .custom-toc .toc-list li:first-child {
    border-top: none;
  }

  .custom-toc .toc-list li a {
    text-decoration: none;
    color: #333;
  }

  .custom-toc .toc-list li a:hover {
    text-decoration: underline;
  }

  .custom-toc input[type="checkbox"]:checked ~ .toc-list {
    max-height: 1000px; /* Adjust this value according to the maximum height you expect for the TOC */
  }

  .custom-toc input[type="checkbox"]:checked ~ .toc-label .toggle-sign {
    content: "-";
  }

/* Sidebar */

.sidebar-main {

padding: 1px 20px;
background: white;
z-index: -1;
}

/* Pricerunner */

.pr-widget-app .product-name {
    margin-top: 0;
    margin-bottom: 8px;
    font-size: 20px !important;
    font-weight: normal;
    color: #363636 !important;
}
.best-price-info .product-link {
    font-family: "Roboto", Sans-serif;
    font-size: 20px;
    color: white !important;
    font-weight: normal;
    margin-top: 15px;
    background-color: #1982d1;
    border-radius: 30px 30px 30px 30px;
    padding: 10px 30px !important;
}

/* Ninja tables */

.ninja_terningkast {

    width: 50px;
}

.ninja_name_image_col {

vertical-align: top;
    display: inline-block;
    text-align: center;

    }

.ninja_name_image_col img {

    width: 175px;
}
.ninja_name {

    font-size: 16px;
    float: left;
    display: none;
}

.ninja_img {

     width: 150px;
     margin: 1px;
}

.posted-on .updated {
    display: inline-block;
}

.posted-on .updated + .entry-date {
    display: none;
}

.posted-on :before {
    content: "Oppdatert: ";
}


/* Media queries */


@media (min-width: 1281px) {


.top-3-product-column-container {

     margin-left: -10% !important; 
    width: 1000px !important;
    gap: 20px !important;
    background-color: white;
    z-index: 1 !important;

}   

}  